Skip to main content

Cancel a PIX Payment

PUT 

/v2/payment/pix/:uid/cancel

Asynchronous Processing: This endpoint is processed asynchronously and creates a cancellation command for the Payment. The cancellation of a Payment is done asynchronously, that is, upon receiving the request, our API saves the request and creates a Command. This command is processed in the background and after confirmation, the Payment has its status changed to Cancelled. You receive in the response of this request the ID of the created command and can consult it at any time.

Webhook Events

When the request is made, a payment.pix.cancel.requested event is triggered. Our server then begins attempts to send the cancellation to the financial institution. Only after confirmation from the financial institution is the payment marked as cancelled in our database. At this moment the payment.pix.cancel.confirmed event is triggered.

⚠️ Attention to Cancelled Status: The Cancelled status is terminal. The payment cannot be processed further after cancellation.

Request

Responses

Payment cancelled without provider interaction